Up

# NSTextFieldCell

### Authors

Scott Christley (`scottc@net-community.com`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> Cell class for the text field entry control

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSTextFieldCell class
2. Software documentation for the NSTextFieldCell(PrivateMethods) category

# Software documentation for the NSTextFieldCell class

## NSTextFieldCell : NSActionCell

> Declared in:
>   AppKit/NSTextFieldCell.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -_drawBackgroundWithFrame:inView:
- -backgroundColor
- -bezelStyle
- -drawsBackground
- -placeholderAttributedString
- -placeholderString
- -setBackgroundColor:
- -setBezelStyle:
- -setDrawsBackground:
- -setPlaceholderAttributedString:
- -setPlaceholderString:
- -setTextColor:
- -textColor

### backgroundColor

- (NSColor*) backgroundColor;
Availability: OpenStep

Returns the color used to draw the background

See Also: -setBackgroundColor:

### bezelStyle

- (NSTextFieldBezelStyle) bezelStyle;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### drawsBackground

- (BOOL) drawsBackground;
Availability: OpenStep

Returns whether the NSTextFieldCell draw its background color

See Also: -setBackgroundColor:

### placeholderAttributedString

- (NSAttributedString*) placeholderAttributedString;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### placeholderString

- (NSString*) placeholderString;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;
Availability: OpenStep
Description forthcoming.

### setBezelStyle:

- (void) setBezelStyle: (NSTextFieldBezelStyle)style;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;
Availability: OpenStep

Sets whether the NSTextFieldCell draw its background color

See Also: -drawsBackground

### setPlaceholderAttributedString:

- (void) setPlaceholderAttributedString: (NSAttributedString*)string;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setPlaceholderString:

- (void) setPlaceholderString: (NSString*)string;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setTextColor:

- (void) setTextColor: (NSColor*)aColor;
Availability: OpenStep

Sets the text color to aColor

See Also: -textColor

### textColor

- (NSColor*) textColor;
Availability: OpenStep

Returns the text color

See Also: -setTextColor:

## Instance Variables for NSTextFieldCell Class

### _background_color

@protected NSColor* _background_color;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _bezelStyle

@protected unsigned int _bezelStyle;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _placeholder

@protected id _placeholder;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _text_color

@protected NSColor* _text_color;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSTextFieldCell(PrivateMethods) category

## NSTextFieldCell(PrivateMethods)

> Declared in:
>   AppKit/NSTextFieldCell.h

Availability: OpenStep
Warning this category is private, which means that the methods are for internal use by the package. You should not use them in external code.
Method summary

- -_drawBackgroundWithFrame:inView:

### _drawBackgroundWithFrame: inView:

- (void) _drawBackgroundWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

Up